       program Emcal
*********************************************************************
*    Geant Monte Carlo for Emcal   
*    Si-W calorimeter 6x5+10+9x5+19.1x6=199.6 mm
*    cell 1: 2.5 mm W + 2.5 mm Readout = 0.3Si+0.8G10+0.2Kapton+1.2Air
*    cell 2: 2.5 mm W + 3x Read out
*    cell 3: same as cell 1 
*    cell 4: 16.6 mm W + 2.5 Readout = 19.1 mm
*       09/23/2001 Vasily Dzhordzhadze
*
*********************************************************************
      INTEGER NWGEAN, NWPAW, NWKUIP
      REAL GEANT, PAW
      PARAMETER (NWGEAN=30000000,NWPAW=200000,NWKUIP=30000)
      COMMON/GCBANK/GEANT(NWGEAN)
      COMMON/PAWC/PAW(NWPAW)
          
      CALL TIMEST(40000000.) 
 
      CALL GZEBRA(NWGEAN)

      NH=-NWPAW 
      CALL HLIMIT(NH) 
* 
*        initialization phase 
      call uginit 
* 
*        processing phase
      call grun 
*
*        termination phase
      call uglast
* 
      stop
      end 

